CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

question about installing Openfoam 1.6-ext

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   November 10, 2013, 21:25
Default question about installing Openfoam 1.6-ext
  #1
New Member
 
Haotian
Join Date: Sep 2013
Posts: 5
Rep Power: 3
Haotian is on a distinguished road
Hello, guys

I'm planning install Openfoam 1.6-ext on my computer windows 7. I installed VMplayer and Ubuntu 12.04 (i386). But when I Allmake.stage3 in third party, it give me the errors.

Code:
Package name      : libccmio-2.6.1
Package URL       : http://portal.nersc.gov/svn/visit/ta...o-2.6.1.tar.gz
RPM spec file name: libccmio-2.6.1.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package libccmio-2.6.1
Making package libccmio-2.6.1 using RPM.
Building package libccmio-2.6.1 using SPEC file : libccmio-2.6.1.spec. Optional args: 
Executing(%prep): /bin/sh -e /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.KEBvWP
+ umask 022
+ cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
+ cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
+ rm -rf libccmio-2.6.1
+ /bin/tar -xf -
+ /bin/gzip -dc /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.tar.gz
+ STATUS=0
+ [ 0 -ne 0 ]
+ cd libccmio-2.6.1
+ echo Patch #0 (libccmio-2.6.1.patch_0):
Patch #0 (libccmio-2.6.1.patch_0):
+ /usr/bin/patch -s -p1 --fuzz=0
+ /bin/cat /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.patch_0
+ exit 0
Executing(%build): /bin/sh -e /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q
+ umask 022
+ cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
+ cd libccmio-2.6.1
+ [ -n gcc ]
+ export CC=gcc
+ [ -n g++ ]
+ export CXX=g++
+ [ -n  ]
+ [ -n  ]
+ [ -n  ]
+ [ -z 4 ]
+ unset RELEASE
+ unset DEBUG
+ unset STATIC
+ unset SHARED
+ [ -d libadf ]
+ cd libadf
+ RELEASE=1 SHARED=1 make -f Makefile.qmake all
..//config/runqmake ../ \
      -o Makefile.adf adf.pro 2>&1 | tee qmake.vars
..//config/runqmake: line 47: /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf/..//config/unknown/qmake: No such file or directory
make[1]: Entering directory `/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make[1]: *** No rule to make target `/u/xeona04/people/prewett/src/libccmio/config/linux64_2.4-x86-glibc_2.2.5/qmake.conf', needed by `Makefile.adf'.  Stop.
make[1]: Leaving directory `/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make: *** [all] Error 2
error: Bad exit status from /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q (%build)


RPM build errors:
    Bad exit status from /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q (%build)
Installing package: libccmio-2.6.1
  Uninstalling libccmio-2.6.1 using RPM: libccmio-2.6.1-linuxGcc46DPOpt.i386
  Installing libccmio-2.6.1 using RPM file: /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm
error: open of /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm failed: No such file or directory
Done installing package
Do you have any ideas about that?

Thank you.

Last edited by wyldckat; November 15, 2013 at 16:55. Reason: Added [CODE][/CODE]
Haotian is offline   Reply With Quote

Old   November 15, 2013, 16:59
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,318
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings Haotian,

The error indicates that qmake is missing. If I'm not mistaken, you can install it by running:
Code:
sudo apt-get install libqt4-dev
By the way, which installation instructions are you following?

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   November 17, 2013, 19:47
Default
  #3
New Member
 
Haotian
Join Date: Sep 2013
Posts: 5
Rep Power: 3
Haotian is on a distinguished road
Thank you Bruno. I just update the Ubuntu to 12.04 x86, and it works for the openfoam 1.6-ext.

Haotian
Haotian is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Test directory missing in OpenFOAM 1.6 ext andrewryan OpenFOAM 2 March 20, 2011 16:41
Compatibility OpenFOAM 1.6 and 1.7.1 Ale_galleria OpenFOAM 2 September 20, 2010 09:14
OpenFOAM 1.6 package - CentOS 5.3 x86_64 linnemann OpenFOAM Installation 36 September 2, 2009 12:46
Problem on Installing OpenFOAM 1.6 on Fedora 11 lzgwhy OpenFOAM Installation 1 August 25, 2009 11:02
Adventure of fisrst openfoam installation on Ubuntu 710 jussi OpenFOAM Installation 0 April 24, 2008 14:25


All times are GMT -4. The time now is 05:06.